//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// WFX satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;

using DRW = System.Drawing;
using WF = System.Windows.Forms;

using CommonHelpers;

namespace WFX {

//**************************************************************************************************
/// <summary>
/// </summary>
public static partial class ConsoleColorConverter {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

/// <exception cref="ArgumentException" />
public static DRW.Color ToDrawingColor(ConsoleColor value)
{
   switch ( value )
   {
   case ConsoleColor.Black      : return DRW.Color.Black;
   case ConsoleColor.Blue       : return DRW.Color.Blue;
   case ConsoleColor.Cyan       : return DRW.Color.Cyan;
   case ConsoleColor.DarkBlue   : return DRW.Color.DarkBlue;
   case ConsoleColor.DarkCyan   : return DRW.Color.DarkCyan;
   case ConsoleColor.DarkGray   : return DRW.Color.DarkGray;
   case ConsoleColor.DarkGreen  : return DRW.Color.DarkGreen;
   case ConsoleColor.DarkMagenta: return DRW.Color.DarkMagenta;
   case ConsoleColor.DarkRed    : return DRW.Color.DarkRed;
   case ConsoleColor.DarkYellow : return DRW.Color.FromArgb( 127, 127, 0 );
   case ConsoleColor.Gray       : return DRW.Color.Gray;
   case ConsoleColor.Green      : return DRW.Color.Green;
   case ConsoleColor.Magenta    : return DRW.Color.Magenta;
   case ConsoleColor.Red        : return DRW.Color.Red;
   case ConsoleColor.White      : return DRW.Color.White;
   case ConsoleColor.Yellow     : return DRW.Color.Yellow;
   }
   throw new ArgumentException();
}

//==================================================================================================

static ConsoleColorConverter()
{
   WFX_Library.Access();
}

//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // ConsoleColorConverter
//**************************************************************************************************

} // WFX
